%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI.pm) perl(CGI/Application.pm) perl(CGI/Carp.pm) perl(CGI/Simple.pm) perl(CPAN.pm) perl(Carp/Assert.pm) perl(Config.pm) perl(DBD/Pg.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(Digest/MD5.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/MMagic.pm) perl(Graphics/Magick.pm) perl(HTML/FillInForm.pm) perl(HTTP/BrowserDetect.pm) perl(HTTP/Request/Common.pm) perl(Image/Magick.pm) perl(Image/Size.pm) perl(MIME/Types.pm) perl(Module/Build.pm) perl(Params/Validate.pm) perl(SQL/Abstract.pm) perl(Scalar/Util.pm) perl(Test/DatabaseRow.pm) perl(Test/More.pm) perl(YAML.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 2.18
%define module_name CGI-Uploader
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.18
Release: alt1
Summary: Manage CGI uploads using SQL database
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MA/MARKSTOS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module is designed to help with the task of managing files uploaded
through a CGI application. The files are stored on the file system, and
the file attributes stored in a SQL database.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes examples
%perl_vendor_privlib/C*

%changelog
* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 2.18-alt1
- initial import by package builder

